Bug 1799106 - cantor: FTBFS in Fedora rawhide/f32
Summary: cantor: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cantor
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39
TreeView+ depends on / blocked
 
Reported: 2020-02-06 15:48 UTC by Fedora Release Engineering
Modified: 2020-02-21 21:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-21 21:04:22 UTC
Type: ---


Attachments (Terms of Use)
build.log (1.20 KB, text/plain)
2020-02-06 15:48 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-02-06 15:48 UTC, Fedora Release Engineering
no flags Details
state.log (833 bytes, text/plain)
2020-02-06 15:48 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 15:48:14 UTC
cantor failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41299380


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix cantor at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
cantor will be orphaned. Before branching of Fedora 33,
cantor will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 15:48:24 UTC
Created attachment 1658302 [details]
build.log

Comment 2 Fedora Release Engineering 2020-02-06 15:48:32 UTC
Created attachment 1658303 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 15:48:35 UTC
Created attachment 1658304 [details]
state.log

Comment 4 Miro Hrončok 2020-02-06 17:39:59 UTC
cantor also fails to build with Python 3.9.0a3.

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.9/fedora-rawhide-x86_64/01221381-cantor/

For all our attempts to build cantor with Python 3.9, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/package/cantor/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.9:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/

Let us know here if you have any questions.

Python 3.9 will be included in Fedora 33. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.9.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 5 Ben Cotton 2020-02-11 17:06:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 6 Fedora Release Engineering 2020-02-16 04:25:08 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 7 Than Ngo 2020-02-21 21:04:22 UTC
it's fixed in cantor-19.12.2-2
 https://koji.fedoraproject.org/koji/taskinfo?taskID=41756946


Note You need to log in before you can comment on or make changes to this bug.